import axios from 'axios';
import { Manga } from '../types';

export const getCover = async (
  manga: Manga,
  userAgent: string,
): Promise<string> => {
  const coverId = Object.values(manga.relationships).find(
    (relationship) => relationship.type === 'cover_art',
  )?.id;

  if (!coverId) {
    return '';
  }

  const response = await axios.get<{
    data: { attributes: { fileName: string } };
  }>(`https://api.mangadex.org/cover/${coverId}`, {
    headers: {
      'User-Agent': userAgent,
    },
  });

  return `https://mangadex.org/covers/${manga.id}/${response.data.data.attributes.fileName}`;
};
