export type MangaId = string;
export type ChapterId = string;
export type WebhookUrl = string;
export type MangaByWebhook = Record<WebhookUrl, MangaId[]>;
export type RelationshipType = 'author' | 'artist' | 'cover_art' | 'creator';
export const languages = ['en', 'ja-ro', 'ja', 'zh-ro', 'zh'] as const; // Preferred title based off order of this array!
export type Language = (typeof languages)[number];

export interface Chapter {
  id: ChapterId;
  type: string;
  attributes: {
    volume: string;
    chapter: string;
    title: string;
    translatedLanguage: string;
    externalUrl: unknown;
    publishAt: string;
    readableAt: string;
    createdAt: string;
    updatedAt: string;
    pages: number;
    version: number;
  };
}

export interface Manga {
  id: MangaId;
  type: string;
  attributes: {
    title: Record<Language, string>; // Record<Language, Title>
  };
  relationships: {
    id: string;
    type: RelationshipType;
  }[];
}
