/* eslint-disable camelcase */
import axios from 'axios';
import { Chapter, Manga } from '../types';
import { getMangaTitle } from './get-manga-title';

export const sendWebhook = async (args: {
  webhookUrl: string;
  manga: Manga;
  latestChapter: Chapter;
  cover: string;
}) => {
  const { webhookUrl, manga, latestChapter, cover } = args;
  const title = getMangaTitle(manga);

  await axios.post(webhookUrl, {
    username: 'Manga Updates',
    avatar_url: 'https://assets.pfy.ch/icons/manga.png',
    content: `[New chapter for ${title}](https://mangadex.org/chapter/${latestChapter.id})`,
    embeds: [
      {
        author: {
          icon_url: 'https://assets.pfy.ch/icons/manga.png',
          name: title,
        },
        thumbnail: {
          url: cover,
        },
        description: `Chapter ${latestChapter.attributes.chapter}: "${latestChapter.attributes.title}"`,
      },
    ],
  });
};
